package com.heyu.api.data.dao.calca;
/**
* <p>
* 定时任务日志 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.heyu.api.data.entity.calca.ScheduleJobLogEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
@Mapper
public interface ScheduleJobLogDao extends BaseMapper<ScheduleJobLogEntity> {


	ScheduleJobLogEntity selectScheduleJobLogById(@Param("id")Long id);


	Long insertScheduleJobLog(ScheduleJobLogEntity scheduleJobLog);


	Long insertOrUpdateScheduleJobLog(ScheduleJobLogEntity scheduleJobLog);


	int updateScheduleJobLogById(ScheduleJobLogEntity scheduleJobLog);


	int updateCoverScheduleJobLogById(ScheduleJobLogEntity scheduleJobLog);


	int deleteScheduleJobLogById(@Param("id")Long id);


}